# Coriolis Core (CRL) Documentation

Public Member Functions | List of all members
CRL::GraphicTool Class Referenceabstract

Base Class to Hook ToolEngines into the CellViewer. More...

Inherits QObject.

## Public Member Functions
virtual void | addToMenu (CellViewer *)=0
virtual const Name & | getName () const =0

## Detailed Description

Base Class to Hook ToolEngines into the CellViewer.

This class implement the graphical conterpart of a ToolEngine. It is designed to work with the Unicorn GUI, to insert new menus and possibly define new graphical overlays (that are not associated to Hurricane::BasicLayer).

Derived classes should provide a method that returns a new GraphicTool to be passed to the Unicorn::UnicornGui::registerTool() method. For our tools, we choose to systematically implement a `static` method which we name grab().

## Member Function Documentation

## ◆ addToMenu()

void CRL::GraphicTool::addToMenu | ( | CellViewer * | viewer | ) |
| pure virtual

Callback function that should insert the menus related to the tool in the CellViewer hierarchy.

## ◆ getName()

const Hurricane::Name & CRL::GraphicTool::getName | ( |  | ) | const
| pure virtual

Returns: An unique identifier for the tool.

The documentation for this class was generated from the following files:

- GraphicToolEngine.h
- GraphicTool.dox

Generated by doxygen 1.8.14 on Mon Apr 27 2020 | Return to top of page

Coriolis Core (CRL) | Copyright © 2008-2016 UPMC All rights reserved